Bug 30659 - C-x C-f DOWN requires auth-source from gnus subpkg
: C-x C-f DOWN requires auth-source from gnus subpkg
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/emacs24-common)
: unstable
: all Linux
: P3 normal
Assigned To:
:
: http://unix.stackexchange.com/questio...
:
: 30658
:
  Show dependency tree
 
Reported: 2015-01-17 17:55 by
Modified: 2015-07-11 05:42 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2015-01-17 17:55:13
(I haven't yet checked this bug against Emacs 24.4 packages from Sisyphus, but
it is very probable.)

+++ This bug was initially created as a clone of Bug #30658 +++

emacs24-common-24.3-alt8

Usually, C-x C-f DOWN pulls the current buffer's filename into the minibuffer,
as described in http://unix.stackexchange.com/a/9739/4319 .

But with emacs24-common-24.3-alt8 and without emacs24-gnus-5.13-alt8 , one gets
an errror, as printed in *Messages*:

byte-code: Cannot open load file: auth-source

$ rpm -qf /usr/share/emacs/24.3/lisp/gnus/auth-source.elc
emacs24-gnus-5.13-alt8
$ 

I have no idea (yet) how this dependency gets into `find-file`.
------- Comment #1 From 2015-01-17 17:55:34 -------
The same problem with emacs-w3m:
https://bugzilla.altlinux.org/show_bug.cgi?id=29611 .
------- Comment #2 From 2015-07-11 05:42:02 -------
Fixed in  24.5-alt15 and up.